# Uses of Interface
org.eclipse.birt.chart.model.data.Action

Packages that use Action
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of Action in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Action
Modifier and Type
Method
Description
`Action`
GObjectFactory.`copyOf(Action src)`
`Action`
IGObjectFactory.`copyOf(Action src)`
`Action`
GObjectFactory.`createAction(ActionType at, ActionValue av)`
`Action`
IGObjectFactory.`createAction(ActionType at, ActionValue av)`
Methods in org.eclipse.birt.chart.computation with parameters of type Action
Modifier and Type
Method
Description
`Action`
GObjectFactory.`copyOf(Action src)`
`Action`
IGObjectFactory.`copyOf(Action src)`
`Trigger`
GObjectFactory.`createTrigger(TriggerCondition tc, Action a)`
`Trigger`
IGObjectFactory.`createTrigger(TriggerCondition tc, Action a)`

## Uses of Action in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Action
Modifier and Type
Method
Description
`Action`
InteractionEvent.`getAction(TriggerCondition tc)`

## Uses of Action in org.eclipse.birt.chart.factory

Methods in org.eclipse.birt.chart.factory with parameters of type Action
Modifier and Type
Method
Description
`String[]`
ActionEvaluatorAdapter.`getActionExpressions(Action action, StructureSource source)`
`String[]`
IActionEvaluator.`getActionExpressions(Action action, StructureSource source)`
Returns the expressions contained in the action.

## Uses of Action in org.eclipse.birt.chart.model.data

Subinterfaces of Action in org.eclipse.birt.chart.model.data
Modifier and Type
Interface
Description
`interface`
`MultipleActions`
A representation of the model object 'Multiple Actions'.
Methods in org.eclipse.birt.chart.model.data that return Action
Modifier and Type
Method
Description
`Action`
Action.`copyInstance()`
`Action`
DataFactory.`createAction()`
Returns a new object of class 'Action'.
`Action`
Trigger.`getAction()`
Returns the value of the 'Action' containment reference.
Methods in org.eclipse.birt.chart.model.data that return types with arguments of type Action
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Action>`
MultipleActions.`getActions()`
Returns the value of the 'Actions' containment reference list.
Methods in org.eclipse.birt.chart.model.data with parameters of type Action
Modifier and Type
Method
Description
`void`
Trigger.`setAction(Action value)`
Sets the value of the '`Action`' containment reference.

## Uses of Action in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement Action
Modifier and Type
Class
Description
`class`
`ActionImpl`
An implementation of the model object ' Action'.
`class`
`MultipleActionsImpl`
An implementation of the model object 'Multiple Actions'.
Methods in org.eclipse.birt.chart.model.data.impl that return Action
Modifier and Type
Method
Description
`Action`
ActionImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Action`
ActionImpl.`create(ActionType at, ActionValue av)`
Returns an instance of an action NOTE: Manually written
`Action`
DataFactoryImpl.`createAction()`
`Action`
TriggerImpl.`getAction()`
Methods in org.eclipse.birt.chart.model.data.impl that return types with arguments of type Action
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Action>`
MultipleActionsImpl.`getActions()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type Action
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
TriggerImpl.`basicSetAction(Action newAction, org.eclipse.emf.common.notify.NotificationChain msgs)`
`static final Trigger`
TriggerImpl.`create(TriggerCondition tc, Action a)`
This convenience method initializes and provides a trigger instance for use NOTE: Manually written
`void`
TriggerImpl.`setAction(Action newAction)`

## Uses of Action in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render with parameters of type Action
Modifier and Type
Method
Description
`void`
ActionRendererAdapter.`processAction(Action action, StructureSource source)`
`void`
ActionRendererAdapter.`processAction(Action action, StructureSource source, RunTimeContext rtc)`
`void`
IActionRenderer.`processAction(Action action, StructureSource source)`
Deprecated.
use `IActionRenderer.processAction(Action, StructureSource, RunTimeContext)` instead
`void`
IActionRenderer.`processAction(Action action, StructureSource source, RunTimeContext rtc)`
Process the action with given source object.